Subject: bug#31887: Modules missing to boot on VMWare

From: Taylan Ulrich Bayırlı/Kammer<[email-masked]>
Date: Mon, 18 Jun 2018 22:58:54 +0200

Although we don't want to support non-free software, perhaps it would
be nice to support booting Guix on VMWare without the user needing to
do anything extra.

While experimenting, I found out that if we just add the following
three Linux modules to the standard initrd, Guix can boot on VMWare
just fine: mptbase, mptscsih, mptspi

mptspi depends on mptscsih, and both depend on mptbase, so if
dependencies are handled automatically, declaring mptspi should be
enough.

Taylan